
python-pyeole - Tâche #9473

Scénario # 9379 (Terminé (Sprint)): Consolidation CREOLE

apt-eole install ne voit pas les paquets à mettre à jour après un Query-Auto (-D)

11/03/2014 11:51 AM - Bruno Boiget

Status: Fermé Start date: 11/03/2014

Priority: Normal Due date:  

Assigned To: Bruno Boiget % Done: 100%

Target version: sprint 2014 44-45 Estimated time: 2.00 hours

  Spent time: 3.75 hours

Description

problème recontré sur Amon 2.4.1 après lancement de Query-Auto -D :

root@amon:~# apt-eole install eole-common-pkg

Action install pour root

Pas de paquet pour l'action install

root@amon:~# apt-get install eole-common-pkg

Lecture des listes de paquets... Fait

Construction de l'arbre des dépendances       

Lecture des informations d'état... Fait

Le paquet suivant a été installé automatiquement et n'est plus nécessaire :

  snmpd

Veuillez utiliser « apt-get autoremove » pour les supprimer.

Les paquets suivants seront mis à jour :

  eole-common-pkg

.....

 

Ajout d'une option always_install pour modifier ce comportement (False par défaut, positionnée à True dans apt_cli)

corrigé par d2534fea1dd9078683a9e10f5727d06670a4a094

Associated revisions

Revision 3a0ddd3c - 11/04/2014 05:16 PM - Bruno Boiget

apt-eole : correction du comportement de l'action install (conteneurs)

par défaut, apt-eole install <packages> met à jour les paquets installés

l'option -o / --only-install interdit bloque leur installation

reconfigure positionne l'option -o à l'appel d'apt-eole dans les conteneurs

Fixes #9473 @2h

History

#1 - 11/03/2014 12:35 PM - Bruno Boiget

- Status changed from Nouveau to En cours

- Assigned To set to Bruno Boiget

après étude, le problème vient d'un test fait dans EoleAptPkg qui n'effectue l'action install que si le paquet n'est pas installé (donc, upgrade

impossible avec apt-eole install)
#2 - 11/03/2014 02:32 PM - Bruno Boiget

- Description updated

- Status changed from En cours to Résolu

- % Done changed from 0 to 100

#3 - 11/03/2014 02:33 PM - Bruno Boiget

- Remaining (hours) changed from 2.0 to 0.5

#4 - 11/03/2014 02:41 PM - Bruno Boiget

- Project changed from creole to python-pyeole

#5 - 11/04/2014 11:52 AM - Joël Cuissinat

- Status changed from Résolu to En cours

- % Done changed from 100 to 50

- Remaining (hours) changed from 0.5 to 1.0

Dommage, apt-eole est utilisé en bout de chaîne dans les conteneurs et est donc susceptible de mettre à jour des paquets installés au reconfigure !

Suppression des paquets                                                                                       

                           

Action remove pour root

Pas de paquet pour l'action remove

Installation des paquets                                                                                      

                           

Installation des paquets mail: eole-exim-pkg                                                                  

                           

Action install pour le conteneur mail

Lecture des listes de paquets...

Construction de l'arbre des dépendances...

Lecture des informations d'état...

eole-lxc-container-pkg est déjà la plus récente version disponible.

Le paquet suivant a été installé automatiquement et n'est plus nécessaire :

  libgnutls-openssl27

Veuillez utiliser « apt-get autoremove » pour les supprimer.

Les paquets suivants seront mis à jour :

  eole-exim-pkg

1 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Il est nécessaire de prendre 0 o/6 488 o dans les archives.

Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.

(Lecture de la base de données... 14690 fichiers et répertoires déjà installés.)

Préparation du remplacement de eole-exim-pkg 2.4.0-41 (en utilisant .../eole-exim-pkg_2.4.1-5_all.deb) ...

Dépaquetage de la mise à jour de eole-exim-pkg ...

Paramétrage de eole-exim-pkg (2.4.1-5) ...
#6 - 11/04/2014 05:21 PM - Bruno Boiget

- Status changed from En cours to Résolu

- % Done changed from 50 to 100

Appliqué par commit 3a0ddd3c0569b95404d0e4f2aa5469edb503f7b9.

#7 - 11/05/2014 08:57 AM - Fabrice Barconnière

- Status changed from Résolu to Fermé

- Remaining (hours) changed from 1.0 to 0.0
